Bug 534863 - (RHQ-1618) Print out all alert conditions instead of "Multiple Conditions"
Print out all alert conditions instead of "Multiple Conditions"
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2009-02-20 10:06 EST by Jeff Weiss
Modified: 2014-11-09 17:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
rev3078
Last Closed: 2011-02-11 17:07:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2009-02-20 10:06:00 EST
In places where alert defs are listed (for instance, subsystem view, alerts tab), when an alert has multiple conditions, they are just printed as "Multiple Conditions" instead of listing the actual conditions with ORs or ANDs in between.

Would be nice to actually list the conditions.

I have rough client-side code that does this (of course it's just the clients memory of what it created, not the server's record of it), it goes something like this:

public String toString(){
		StringBuffer sb = new StringBuffer();
		sb.append("Name: " + name + ", conditions: ");
		for (ConditionDefinition cond: conditions){
			sb.append(cond.toString() + ", ");
		}
		if (dampeningRule != null && !dampeningRule.equals(DampeningRule.EachTime)){
			sb.append(", Dampening " + (dampeningRule==null?"":dampeningRule.toString()) + " " + 
		
				(dampeningCount==null? "":dampeningCount) + 
				" times in " + dampeningPeriod + 
				(dampeningPeriodUnits==null?"evaluations":dampeningPeriodUnits));
		}
		return sb.toString();
	}

This doesn't differentiate between OR and AND but that's easy enough to do.
Comment 1 Red Hat Bugzilla 2009-11-10 15:36:50 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1618
Comment 2 wes hayutin 2010-02-16 12:09:21 EST
mass add of key word FutureFeature to help track
Comment 3 John Mazzitelli 2011-02-11 17:07:11 EST
in the new gwt ui, the condition set is shown as a table. see the new alert definition views where notifications and conditions are individually shown in their own tables.

Note You need to log in before you can comment on or make changes to this bug.